use anyhow::Result;
use tokio::net::{TcpListener, TcpStream};
use tokio::io::{AsyncReadExt, AsyncWriteExt};

use deck::Deck;

mod card;
mod deck;
mod player;
mod lobby;

#[tokio::main]
async fn main() -> Result<(), anyhow::Error> {
    let listener = TcpListener::bind("127.0.0.1:6379").await?;

    loop {
        match listener.accept().await {
            Ok((mut socket, addr)) => {
                println!("new client: {:?}", addr);
                socket.write_all(b"ciao").await?;
                socket.flush().await?;
            },
            Err(e) => println!("couldn't get client: {:?}", e),
        }
    }

    Ok(())
}
